%define major 4
%define libname %mklibname fm %major
%define develname %mklibname -d fm

%define Werror_cflags %nil

Summary:	GIO-based library for file manager-like programs
Name:		libfm
Version:	1.3.1
Release:	%mkrel 2.git20210129.1
License:	GPLv2
Group:		File tools
#Source0:	http://downloads.sourceforge.net/pcmanfm/%{name}-%{version}.tar.xz
Source0:	https://github.com/lxde/%{name}/archive/master.zip
Patch0:		%{name}-0.1.5-set-cutomization.patch
Patch5:		%{name}-1.2.3-mga-use-common-desktop-menu.patch
Patch6:		%{name}-1.2.5-mga-do-not-use-gvfs-fuse-for-libreoffice.patch
Url:		http://pcmanfm.sourceforge.net
BuildRequires:	pkgconfig(cairo) >= 1.8.0
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.18.0
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libmenu-cache) >= 0.3.2
BuildRequires:	pkgconfig(pango) >= 1.16.0
BuildRequires:	vala >= 0.13
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gtk-doc

%description
LibFM is a GIO-based library used to develop file manager-like programs. It is
developed as the core of next generation PCManFM and takes care of all file-
related operations such as copy & paste, drag & drop, file associations or
thumbnails support. By utilizing glib/gio and gvfs, libfm can access remote
filesystems supported by gvfs.

%package -n %libname
Group:		File tools
Summary:	%{name} library package
Requires:	%{name} >= %{version}
Requires:	lxshortcut

%description -n %libname
%summary.

%package -n %develname
Group:		File tools
Summary:	%{name} development files
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n %develname
This package contains header files needed when building applications based on
%{name}.

%package -n lxshortcut
Summary:	Edit app shortcuts
Group:		Graphical desktop/Other

%description -n lxshortcut
LXShortcut is a small program used to edit application shortcuts created
with freedesktop.org Desktop Entry spec.

%prep
%setup -q -n %{name}-master
%patch0 -p0 -b .customization
%patch5 -p1
%patch6 -p1

%build
autoreconf -vfi
%configure \
	--disable-static \
	--enable-udisks
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name '*.la' | xargs rm -f

%find_lang %{name}

%post
%if "%_lib" != "lib"
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif

%postun
if [ "$1" = "0" ]; then
%if "%_lib" != "lib"
 %{_bindir}/gio-querymodules-64 %{_libdir}/gio/modules
%else
 %{_bindir}/gio-querymodules-32 %{_libdir}/gio/modules
%endif
fi

%files -f %{name}.lang
%dir %{_sysconfdir}/xdg/%{name}/
%config(noreplace) %{_sysconfdir}/xdg/%{name}/%{name}.conf
%{_bindir}/%{name}-pref-apps
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}-pref-apps.desktop
%{_mandir}/man1/%{name}-pref-apps.1*

%files -n %libname
%{_libdir}/%{name}-gtk.so.%{major}{,.*}
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}-extra.so.%{major}{,.*}

%files -n %develname
%{_includedir}/*
%{_libdir}/%{name}-gtk.so
%{_libdir}/%{name}.so
%{_libdir}/%{name}-extra.so
%{_libdir}/pkgconfig/*.pc

%files -n lxshortcut
%{_bindir}/lxshortcut
%{_datadir}/applications/lxshortcut.desktop
%{_mandir}/man1/lxshortcut.1*


%changelog
* Tue Feb 02 2021 ns80 <ns80> 1.3.1-2.git20210129.1.mga8
+ Revision: 1674467
- update to latest git snapshot

* Thu Nov 05 2020 ns80 <ns80> 1.3.1-2.git20201011.1.mga8
+ Revision: 1642846
- update to latest git snapshot

* Mon Oct 26 2020 pterjan <pterjan> 1.3.1-2.git20200401.2.mga8
+ Revision: 1639733
- Rebuild to include "fix bare word on if macro statement" commit

* Tue Apr 07 2020 ns80 <ns80> 1.3.1-2.git20200401.1.mga8
+ Revision: 1565382
- add upstream patches for two bugs

* Sat Feb 15 2020 umeabot <umeabot> 1.3.1-2.git20190224.2.mga8
+ Revision: 1523334
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 1.3.1-2.git20190224.1.mga7
+ Revision: 1371292
- update to latest git snapshot

* Tue Dec 18 2018 ns80 <ns80> 1.3.1-1.mga7
+ Revision: 1342540
- new version 1.3.1

* Mon Dec 17 2018 ns80 <ns80> 1.3.0.2-5.mga7
+ Revision: 1342286
- add upstream patches to allow bigger sizes of thumbnails, handle some types of archives and to update translations

* Sat Dec 15 2018 wally <wally> 1.3.0.2-4.mga7
+ Revision: 1341451
- own /etc/xdg/libfm/ dir

* Fri Nov 30 2018 ns80 <ns80> 1.3.0.2-3.mga7
+ Revision: 1336851
- add upstream patches to avoid a potential crash

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0.2-2.mga7
+ Revision: 1298843
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 neoclust <neoclust> 1.3.0.2-1.mga7
+ Revision: 1223966
- New version 1.3.0.2

* Fri Apr 20 2018 ns80 <ns80> 1.2.5-9.git20180418.1.mga7
+ Revision: 1220414
- update to latest git snapshot to fix a deadlock

* Tue Apr 17 2018 ns80 <ns80> 1.2.5-9.git20180416.1.mga7
+ Revision: 1219616
- update to latest git snapshot

* Thu Feb 01 2018 wally <wally> 1.2.5-9.git20180201.1.mga7
+ Revision: 1198425
- add git snapshot date to release tag

* Thu Feb 01 2018 ns80 <ns80> 1.2.5-8.mga7
+ Revision: 1198395
- update to latest git snapshot to fix the crash that occurs when trying to copy a file into a destination doesn't exist

* Mon Jan 08 2018 ns80 <ns80> 1.2.5-7.mga7
+ Revision: 1191487
- update to latest git snapshot for various fixes

* Tue Nov 07 2017 ns80 <ns80> 1.2.5-6.mga7
+ Revision: 1176341
- update to latest git snapshot for bug and security fixes

* Thu Sep 28 2017 ns80 <ns80> 1.2.5-5.mga7
+ Revision: 1160943
- add application/x-webarchive as MIME type for .war files (mga#21781)

* Mon Jul 17 2017 ns80 <ns80> 1.2.5-4.mga7
+ Revision: 1124195
- add a patch that replace --add-to by --compress (mga#21261)

* Wed Mar 29 2017 ns80 <ns80> 1.2.5-3.mga6
+ Revision: 1095149
- update patch update-archive-list-for-xarchiver adding compressed GIMP image MIME type

* Fri Feb 17 2017 ns80 <ns80> 1.2.5-2.mga6
+ Revision: 1086570
- add patch update-archive-list-for-xarchiver adding application/gzip MIME type to handle gzip compressed files

* Wed Dec 14 2016 ns80 <ns80> 1.2.5-1.mga6
+ Revision: 1075230
- version 1.2.5

* Wed Dec 14 2016 ns80 <ns80> 1.2.4-22.mga6
+ Revision: 1075059
- add patch do-not-use-gvfs-fuse-for-libreoffice (mga#19896)

* Fri Dec 09 2016 ns80 <ns80> 1.2.4-21.mga6
+ Revision: 1073579
- fix missing 'Empty Trash Can' option in desktop's trash context menu

* Tue Dec 06 2016 ns80 <ns80> 1.2.4-20.mga6
+ Revision: 1072726
- remove patch lxde-only (merged upstream)

* Mon Dec 05 2016 ns80 <ns80> 1.2.4-19.mga6
+ Revision: 1072531
- fix several upstream bugs

* Sat Nov 05 2016 ns80 <ns80> 1.2.4-18.mga6
+ Revision: 1065476
- correct initialization of FmPlacesView class

* Fri Nov 04 2016 ns80 <ns80> 1.2.4-17.mga6
+ Revision: 1065237
- add an upstream patch to fix a copyright

* Mon Oct 31 2016 ns80 <ns80> 1.2.4-16.mga6
+ Revision: 1064260
- add an upstream fix for RAR files

* Mon Oct 24 2016 ns80 <ns80> 1.2.4-15.mga6
+ Revision: 1063347
- add an upstream patch to fix a typo

* Tue Oct 18 2016 ns80 <ns80> 1.2.4-14.mga6
+ Revision: 1061526
- add an upstream patch that properly initialize GError with NULL

* Mon Oct 03 2016 ns80 <ns80> 1.2.4-13.mga6
+ Revision: 1058186
- add an upstream patch that add emblem support

* Fri Jul 22 2016 ns80 <ns80> 1.2.4-12.mga6
+ Revision: 1043122
- add upstream patch to allow non-gio applications to open files mounted by gvfs

* Tue Jul 12 2016 ns80 <ns80> 1.2.4-11.mga6
+ Revision: 1041228
- correct an upstream patch correcting a possible null pointer dereference

* Mon Jun 27 2016 ns80 <ns80> 1.2.4-10.mga6
+ Revision: 1037741
- add upstream patch to fix crash on non-existent directory listing job

* Sat Jun 18 2016 ns80 <ns80> 1.2.4-9.mga6
+ Revision: 1022066
- add upstream patch to fix two possible null pointer dereferences

* Fri Jun 17 2016 ns80 <ns80> 1.2.4-8.mga6
+ Revision: 1022003
- add upstream patches to fix several problems (crash when searching, vala detection...)

* Sat Apr 02 2016 ns80 <ns80> 1.2.4-7.mga6
+ Revision: 997640
- add SRPM mime type to the list of mime types handled by xarchiver

* Tue Mar 29 2016 ns80 <ns80> 1.2.4-6.mga6
+ Revision: 996084
- add upstream patch to fix 'Launch in Terminal' issue when custom args were ignored

* Tue Mar 22 2016 ns80 <ns80> 1.2.4-5.mga6
+ Revision: 993980
- add the main mime type for DEB archives as libfm does not handle aliases

* Mon Mar 21 2016 ns80 <ns80> 1.2.4-4.mga6
+ Revision: 993570
- add application/x-tarz to handle tar.Z archives not handled by application/x-compress (mga#18008)

* Sun Mar 20 2016 ns80 <ns80> 1.2.4-3.mga6
+ Revision: 993107
- correct tar.lzo mime type in patch update-archive-list-for-xarchiver (mga#18008)

* Tue Mar 15 2016 ns80 <ns80> 1.2.4-2.mga6
+ Revision: 990891
- add patch update-archive-list-for-xarchiver (mga#18008)

* Sun Feb 21 2016 ns80 <ns80> 1.2.4-1.mga6
+ Revision: 975297
- new version 1.2.4
- remove merged upstream patches
- rediff patch lxde-only

* Fri Feb 19 2016 wally <wally> 1.2.3-9.mga6
+ Revision: 970299
- another try on arm

* Fri Feb 19 2016 wally <wally> 1.2.3-8.mga6
+ Revision: 970023
- normal build after successful menu-cache build on arm

* Fri Feb 19 2016 wally <wally> 1.2.3-7.mga6
+ Revision: 969904
- build only libfm-extra library to bootstrap menu-cache build on arm

* Fri Feb 19 2016 umeabot <umeabot> 1.2.3-6.mga6
+ Revision: 969831
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 ns80 <ns80> 1.2.3-5.mga6
+ Revision: 879734
- add patch use-common-desktop-menu (mga#16753)

* Tue Jan 06 2015 alexl <alexl> 1.2.3-4.mga5
+ Revision: 808808
- fixed: LXDE menu doesn't properly handle field codes from Exec key (mga#14589)
- fixed crash in templates on file that was deleted instantly after creation (patch from upstream)
+ doktor5000 <doktor5000>
- rebuild for QT 5.4 breakage

* Thu Nov 27 2014 alexl <alexl> 1.2.3-2.mga5
+ Revision: 799595
- show libfm-pref-apps.desktop in LXDE only (mga#14635)
+ doktor5000 <doktor5000>
- enable udisks support

* Wed Oct 22 2014 alexl <alexl> 1.2.3-1.mga5
+ Revision: 792525
- fix spelling error: developement -> development
- del old conditioned-pkgconfig-files.patch
- version 1.2.3 (mga#14158)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 749522
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 681458
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 1.2.2-1.mga5
+ Revision: 668565
- 1.2.2

* Fri Jul 04 2014 fwang <fwang> 1.2.1-1.mga5
+ Revision: 643091
- 1.2.1

* Thu Feb 20 2014 fwang <fwang> 1.2.0-5.mga5
+ Revision: 595027
- fix patch
- fix patch

* Thu Feb 20 2014 fwang <fwang> 1.2.0-3.mga5
+ Revision: 595022
- update patch
- do not use enable
- fix patch
- conditioned pkgconfig files

* Wed Feb 19 2014 fwang <fwang> 1.2.0-2.mga5
+ Revision: 594603
- drop unused file

* Wed Feb 19 2014 fwang <fwang> 1.2.0-1.mga5
+ Revision: 594598
- update file list
- update file list
- update file list
- new version 1.2.0

* Thu Dec 12 2013 zezinho <zezinho> 1.1.4-1.mga4
+ Revision: 556501
- new version 1.1.4

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2.2-2.mga4
+ Revision: 533503
- Mageia 4 Mass Rebuild

* Sat Aug 31 2013 fwang <fwang> 1.1.2.2-1.mga4
+ Revision: 473636
- new version 1.1.2.2

* Tue Aug 13 2013 fwang <fwang> 1.1.2-1.mga4
+ Revision: 466022
- new version 1.1.2

* Tue Jul 30 2013 fwang <fwang> 1.1.1-2.mga4
+ Revision: 461236
- rebuild for new menu-cache

* Tue Jul 23 2013 fwang <fwang> 1.1.1-1.mga4
+ Revision: 457370
- new version 1.1.1

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-3.mga3
+ Revision: 357111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ fwang <fwang>
- move requires into lib, which is the correct place

* Thu Nov 08 2012 fwang <fwang> 1.1.0-2.mga3
+ Revision: 316349
- lxshortcut is required for creating shortcuts

* Mon Nov 05 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 314333
- new version 1.1.0

* Wed Oct 31 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 311723
- update file list
- update file lilst
- new version 1.0.2

* Fri Sep 21 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 296535
- update file list
- update libmajor
- fix linkage
- br intltool
- new version 1.0.1

* Mon Oct 31 2011 zezinho <zezinho> 0.1.17-1.mga2
+ Revision: 160433
- change major version
- new version
+ tv <tv>
- BuildRequires:  gtkdoc
- new release

* Fri Feb 04 2011 ahmad <ahmad> 0.1.14-1.mga1
+ Revision: 46887
- imported package libfm


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.1.14-1mdv2011.0
+ Revision: 602272
- new version 0.1.14

* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.12-0.rc1.1mdv2011.0
+ Revision: 557333
- update to 0.1.12 rc1
- drop string format patch, the bug filed upstream was closed as wontfix, so
  compile with Werror_cflags %%nil instead of having to rediff the patch
- add two patches from upstream git

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.11-0.beta3.1mdv2010.1
+ Revision: 539855
- new release, beta3, 0.1.11
- improve devel package requires

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.10-0.beta2.2mdv2010.1
+ Revision: 539349
- new git snapshot
- fix post and postun

* Mon Apr 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.10-0.beta2.1mdv2010.1
+ Revision: 536542
- update to 1.10 beta2

* Sun Apr 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.4mdv2010.1
+ Revision: 533573
- new git snapshot

* Fri Mar 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.2mdv2010.1
+ Revision: 527615
- improve package dir ownership

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.9-0.beta.1mdv2010.1
+ Revision: 525010
- new upstream release 0.1.9 beta
- rediff str format patch

* Wed Mar 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.4mdv2010.1
+ Revision: 523486
- move the gio module to the main package to ease major upgrades
  (spotted by Charles A Edwards)
- more customization to make pcmanfm use xarchiver by default (xarchiver is already present on dual-free iso)

* Tue Mar 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.3mdv2010.1
+ Revision: 521821
- update to a git snapshot to fix a segfault in nautilus when libfm gio module is
  present
- fix file list
- add post and postun parts for the gio module

* Mon Mar 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.2mdv2010.1
+ Revision: 519891
- proper libification, (pointed out by fcrozat)

* Wed Mar 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.5-0.alpha.1mdv2010.1
+ Revision: 517592
- remove uneeded BR's
- improve spec, summary, configure options (thanks Fedora)
- don't ship .la (from Fedora)
- fix package requires so that main package doesn't require -devel packages
- import libfm


